CAD开发者社区

 找回密码
 立即注册

QQ登录

只需一步,快速开始

ActiveX 开发指南

相关分类

LayoutDisplayPaperShadow Property (ActiveX)

2023-1-3 12:33| 发布者: admin| 查看: 488| 评论: 0|来自: AutoCAD

摘要: 切换布局中纸张背景阴影的显示。

切换布局中纸张背景阴影的显示。

支持的平台:仅窗口

签名

工 务 局:

object.LayoutDisplayPaperShadow
对象

类型:首选项显示

此属性适用的对象。

属性值

只读:

类型:布尔

  • True:阴影显示在布局中。
  • False:阴影不显示在布局中。

言论

此属性的初始值为。True

例子

工 务 局:

Sub Example_LayoutDisplayPaperShadow()
    ' This example reads and modifies the preference value that controls
    ' the display of the paper background shadow in layouts. When finished, this example
    ' resets the preference value back to its original value.
    
    Dim ACADPref As AcadPreferencesDisplay
    Dim originalValue As Variant, newValue As Variant
    
    ' Get the display preferences object
    Set ACADPref = ThisDrawing.Application.preferences.DISPLAY
    
    ' Switch to paper space to view this change
    ThisDrawing.ActiveSpace = acPaperSpace
    
    ' Read and display the original value
    originalValue = ACADPref.LayoutDisplayPaperShadow
    MsgBox "The LayoutDisplayPaperShadow preference is set to: " & originalValue

    ' Modify the LayoutDisplayPaperShadow preference by toggling the value
    ACADPref.LayoutDisplayPaperShadow = Not (originalValue)
    newValue = ACADPref.LayoutDisplayPaperShadow
    ThisDrawing.Regen acAllViewports
        
    MsgBox "The LayoutDisplayPaperShadow preference has been set to: " & newValue

    ' Reset the preference back to its original value
    '
    ' * Note: Comment out this last section to leave the change to
    '         this preference in effect
    ACADPref.LayoutDisplayPaperShadow = originalValue
    ThisDrawing.Regen acAllViewports
    
    MsgBox "The LayoutDisplayPaperShadow preference was reset back to: " & originalValue
End Sub

Visual LISP:

(vl-load-com)
(defun c:Example_LayoutDisplayPaperShadow()
    ;; This example reads and modifies the preference value that controls
    ;; the display of the paper background shadow in layouts. When finished, this example
    ;; resets the preference value back to its original value.
    (setq acadObj (vlax-get-acad-object))
    (setq preferences (vla-get-Preferences acadObj))
    
    ;; Switch to paper space to view this change
    (vla-put-ActiveSpace doc acPaperSpace)
    
    ;; Read and display the original value
    (setq originalValue (vla-get-LayoutDisplayPaperShadow (vla-get-Display preferences)))
    (alert (strcat "The LayoutDisplayPaperShadow preference is set to: " (if (= originalValue :vlax-true) "True"  "False")))

    ;; Modify the LayoutDisplayPaperShadow preference by toggling the value
    (vla-put-LayoutDisplayPaperShadow (vla-get-Display preferences) (if (= originalValue :vlax-true) :vlax-false :vlax-true))
    (setq newValue (vla-get-LayoutDisplayPaperShadow (vla-get-Display preferences)))
    (vla-Regen doc acAllViewports)

    (alert (strcat "The LayoutDisplayPaperShadow preference has been set to: " (if (= newValue :vlax-true) "True"  "False")))

    ;; Reset the preference back to its original value
    ;;
    ;; * Note: Comment out this last section to leave the change to
    ;;         this preference in effect
    (vla-put-LayoutDisplayPaperShadow (vla-get-Display preferences) originalValue)
    (vla-Regen doc acAllViewports)
    
    (alert (strcat "The LayoutDisplayPaperShadow preference was reset back to: " (if (= originalValue :vlax-true) "True"  "False")))
)

路过

雷人

握手

鲜花

鸡蛋

最新评论

QQ|Archiver|CAD开发者社区 ( 苏ICP备2022047690号-1 )

GMT+8, 2024-5-11 18:57

Powered by Discuz! X3.4

Copyright © 2001-2021, Tencent Cloud.

返回顶部